com.unitech.lib.uhf.params

## Class TagExtParam

- java.lang.Object
- - com.unitech.lib.uhf.params.TagExtParam

-     public class TagExtParam
      extends Object

  The TagExtParam class is used to pass the tag information.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `TagInfoId[]` | `tagInfoIds` Used to determine the tag information included in the response.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagExtParam()`
    `TagExtParam(byte[] epc, byte[] tid, byte[] pc, short antenna, int frequency, int rssi, short q)`
    `TagExtParam(int rssi)`
    `TagExtParam(int rssi, int frequency)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `antenna()` Returns the antenna identifier associated with the tag
    `byte[]` | `epc()` Returns the tag's EPC value.
    `String` | `getEpc()` Returns the tag's EPC value with HEX format.
    `int` | `getFrequency()` Returns the tag's frequency value.
    `String` | `getPC()` Returns the tag's PC value with HEX format.
    `float` | `getRssi()` Returns the tag's RSSI value.
    `String` | `getTID()` Returns the tag's TID value with HEX format.
    `String` | `getUserData()` Returns the user data value with HEX format.
    `String` | `getXPC()` Returns the XPC value with HEX format.
    `boolean` | `isContains(TagInfoId id)` Checks if the tag information contains a specific TagInfoId.
    `byte[]` | `pc()` Returns the tag's PC value.
    `float` | `phaseBegin()` Returns the phase begin value.
    `float` | `phaseEnd()` Returns the phase end value.
    `short` | `Q()` Current Q.
    `long` | `roundCnt()` Returns the round count associated with the tag.
    `void` | `setAntenna(short antenna)` Sets the antenna identifier associated with the tag
    `void` | `setEpc(byte[] epc)` Sets the tag's EPC value.
    `void` | `setFrequency(int frequency)` Sets the tag's frequency value.
    `void` | `setPc(byte[] pc)` Sets the tag's PC value.
    `void` | `setPc(int pc)` Sets the tag's PC value using an integer.
    `void` | `setPhaseBegin(float phaseBegin)` Sets the phase begin value.
    `void` | `setPhaseEnd(float phaseEnd)` Sets the phase end value.
    `void` | `setQ(short q)` Sets the Q value.
    `void` | `setRoundCnt(long roundCnt)` Sets the round count associated with the tag.
    `void` | `setRssi(float rssi)` Sets the tag's RSSI value.
    `void` | `setTagCount(long tagCount)` Sets the number of tags detected.
    `void` | `setTid(byte[] tid)` Sets the tag's TID value.
    `void` | `setTimestamp(Date timestamp)` Sets the timestamp of the tag detection.
    `void` | `setUserData(byte[] userData)` Sets the user data value.
    `void` | `setXpc(byte[] xpc)` Sets the XPC value.
    `long` | `tagCount()` Returns the number of tags detected.
    `byte[]` | `tid()` Returns the tag's TID value.
    `Date` | `timestamp()` Returns the timestamp of the tag detection.
    `String` | `toString()`
    `byte[]` | `userData()` Returns the user data value.
    `byte[]` | `xpc()` Returns the XPC value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### tagInfoIds

          public TagInfoId[] tagInfoIds

      Used to determine the tag information included in the response.

  - ### Constructor Detail

    - #### TagExtParam

          public TagExtParam()

    - #### TagExtParam

          public TagExtParam(int rssi)

    - #### TagExtParam

          public TagExtParam(int rssi,
                             int frequency)

    - #### TagExtParam

          public TagExtParam(byte[] epc,
                             byte[] tid,
                             byte[] pc,
                             short antenna,
                             int frequency,
                             int rssi,
                             short q)

  - ### Method Detail

    - #### getFrequency

          public int getFrequency()

      Returns the tag's frequency value.
      Returns:
        The tag's frequency value.

    - #### setFrequency

          public void setFrequency(int frequency)

      Sets the tag's frequency value.
      Parameters:
        `frequency` - The frequency value to set.

    - #### getRssi

          public float getRssi()

      Returns the tag's RSSI value.
      Returns:
        The tag's RSSI value.

    - #### setRssi

          public void setRssi(float rssi)

      Sets the tag's RSSI value.
      Parameters:
        `rssi` - The RSSI value to set.

    - #### antenna

          public short antenna()

      Returns the antenna identifier associated with the tag
      Returns:
        The antenna identifier

    - #### setAntenna

          public void setAntenna(short antenna)

      Sets the antenna identifier associated with the tag
      Parameters:
        `antenna` - The antenna identifier to set

    - #### getPC

          public String getPC()

      Returns the tag's PC value with HEX format.
      Returns:
        The tag's pc value.

    - #### pc

          public byte[] pc()

      Returns the tag's PC value.
      Returns:
        An array to contain the tag's pc value

    - #### setPc

          public void setPc(byte[] pc)

      Sets the tag's PC value.
      Parameters:
        `pc` - The PC value to set.

    - #### setPc

          public void setPc(int pc)

      Sets the tag's PC value using an integer.
      Parameters:
        `pc` - The PC value to set as an integer.

    - #### getEpc

          public String getEpc()

      Returns the tag's EPC value with HEX format.
      Returns:
        The tag's EPC value.

    - #### epc

          public byte[] epc()

      Returns the tag's EPC value.
      Returns:
        An array to contain the tag's EPC value

    - #### setEpc

          public void setEpc(byte[] epc)

      Sets the tag's EPC value.
      Parameters:
        `epc` - The EPC value to set.

    - #### getTID

          public String getTID()

      Returns the tag's TID value with HEX format.
      Returns:
        The tag's TID value.

    - #### tid

          public byte[] tid()

      Returns the tag's TID value.
      Returns:
        An array to contain the tag's TID value

    - #### setTid

          public void setTid(byte[] tid)

      Sets the tag's TID value.
      Parameters:
        `tid` - The TID value to set.

    - #### roundCnt

          public long roundCnt()

      Returns the round count associated with the tag.
      Returns:
        The round count

    - #### setRoundCnt

          public void setRoundCnt(long roundCnt)

      Sets the round count associated with the tag.
      Parameters:
        `roundCnt` - The round count to set

    - #### Q

          public short Q()

      Current Q.
      Returns:
        The Q value

    - #### setQ

          public void setQ(short q)

      Sets the Q value.
      Parameters:
        `q` - The Q value to set

    - #### tagCount

          public long tagCount()

      Returns the number of tags detected.
      Returns:
        The tag count

    - #### setTagCount

          public void setTagCount(long tagCount)

      Sets the number of tags detected.
      Parameters:
        `tagCount` - The tag count to set

    - #### getXPC

          public String getXPC()

      Returns the XPC value with HEX format.
      Returns:
        The XPC value

    - #### xpc

          public byte[] xpc()

      Returns the XPC value.
      Returns:
        An array to contain the XPC value

    - #### setXpc

          public void setXpc(byte[] xpc)

      Sets the XPC value.
      Parameters:
        `xpc` - The XPC value to set

    - #### getUserData

          public String getUserData()

      Returns the user data value with HEX format.
      Returns:
        The user data value

    - #### userData

          public byte[] userData()

      Returns the user data value.
      Returns:
        An array to contain the user data value

    - #### setUserData

          public void setUserData(byte[] userData)

      Sets the user data value.
      Parameters:
        `userData` - The user data value to set

    - #### phaseBegin

          public float phaseBegin()

      Returns the phase begin value.
      Returns:
        The phase begin value

    - #### setPhaseBegin

          public void setPhaseBegin(float phaseBegin)

      Sets the phase begin value.
      Parameters:
        `phaseBegin` - The phase begin value to set

    - #### phaseEnd

          public float phaseEnd()

      Returns the phase end value.
      Returns:
        The phase end value

    - #### setPhaseEnd

          public void setPhaseEnd(float phaseEnd)

      Sets the phase end value.
      Parameters:
        `phaseEnd` - The phase end value to set

    - #### timestamp

          public Date timestamp()

      Returns the timestamp of the tag detection.
      Returns:
        The timestamp

    - #### setTimestamp

          public void setTimestamp(Date timestamp)

      Sets the timestamp of the tag detection.
      Parameters:
        `timestamp` - The timestamp to set

    - #### isContains

          public boolean isContains(TagInfoId id)

      Checks if the tag information contains a specific TagInfoId.
      Parameters:
        `id` - The TagInfoId to check for.
      Returns:
        true if the TagInfoId is present, false otherwise.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`